//
// variables/spacing
//

$base-spacing-unit: 1rem !default;

// smaller
$base-spacing-unit-xs: $base-spacing-unit / 4 !default;
$base-spacing-unit-sm: $base-spacing-unit / 2 !default;

// larger
$base-spacing-unit-md: $base-spacing-unit * 2 !default;
$base-spacing-unit-lg: $base-spacing-unit * 4 !default;

// base-spacing
$base-spacing: (
  "0": 0,
  "0-125": $base-spacing-unit * 0.125,
  "0-25": $base-spacing-unit * 0.25,
  "0-375": $base-spacing-unit * 0.375,
  "0-5": $base-spacing-unit * 0.5,
  "0-625": $base-spacing-unit * 0.625,
  "0-75": $base-spacing-unit * 0.75,
  "0-875": $base-spacing-unit * 0.875,
  "1": $base-spacing-unit,
  "1-25": $base-spacing-unit * 1.25,
  "1-5": $base-spacing-unit * 1.5,
  "1-75": $base-spacing-unit * 1.75,
  "2": $base-spacing-unit * 2,
  "2-5": $base-spacing-unit * 2.5,
  "3": $base-spacing-unit * 3,
  "4": $base-spacing-unit * 4,
  "5": $base-spacing-unit * 5,
  "6": $base-spacing-unit * 6,
  "7": $base-spacing-unit * 7,
  "8": $base-spacing-unit * 8,
  "9": $base-spacing-unit * 9,
  "10": $base-spacing-unit * 10,
);